Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.variation.datamodel
Interface Population

All Superinterfaces:
  Persistent, java.io.Serializable

public interface Population
extends Persistent

A group of individuals. Populations include phenotypic groups (e.g. people with diabetes), ethnic groups (e.g. caucasians), individuals used in an assay (e.g. subjects in experiment X), etc. Populations may be arranged into an arbitrary hierarchy of sub and super populations.

Author:
  Craig Melsopp

Method Summary
`java.lang.String` | `getDescription()` Population description.
`java.lang.String` | `getName()` Population name.
`int` | `getSize()` Population size.
`java.util.List` | `getSubPopulations()` Retrieves all populations which are conceptually a sub set of this population.
`java.util.List` | `getSuperPopulations()` Retrieves all populations which this population is a part of.
`void` | `setDescription(java.lang.String description)` Set the population description.
`void` | `setName(java.lang.String name)` Set the population name.
`void` | `setSize(int size)` Set the population size.

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Method Detail

### getSubPopulations

    public java.util.List getSubPopulations()
                                     throws AdaptorException

  Retrieves all populations which are conceptually a sub set of this population.

  Returns:
    zero or more sub populations.
  Throws:
    `AdaptorException`

### getSuperPopulations

    public java.util.List getSuperPopulations()
                                       throws AdaptorException

  Retrieves all populations which this population is a part of.

  Returns:
    zero or more super populations.
  Throws:
    `AdaptorException`

### getDescription

    public java.lang.String getDescription()

  Population description.

  Returns:
    description of this population.

### getName

    public java.lang.String getName()

  Population name.

  Returns:
    name of the population.

### getSize

    public int getSize()

  Population size.

  Returns:
    population size, 0 if size is unknown.

### setDescription

    public void setDescription(java.lang.String description)

  Set the population description.

  Parameters:
    `description` - description of this population.

### setName

    public void setName(java.lang.String name)

  Set the population name.

  Parameters:
    `name` - population name.

### setSize

    public void setSize(int size)

  Set the population size.

  Parameters:
    `size` - population size.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD